package com.engine.salary.mapper.siaccount;

import com.engine.salary.entity.siaccount.po.InsuranceCompensationConfigPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface InsuranceCompensationConfigMapper {

    void batchInsert(@Param("collection") Collection<InsuranceCompensationConfigPO> compensationConfigPOS);

    void insert(InsuranceCompensationConfigPO compensationConfigPO);

    void deleteByPayOrg(Long paymentOrganization);

    List<InsuranceCompensationConfigPO> queryByPayOrg(@Param("paymentOrganization") Long paymentOrganization);

}
